GMX-POTENTIAL(1)

NAME
gmx-potential - Calculate the electrostatic potential across the box

SYNOPSIS

gmx potential [-f [<.xtc/.trr/...>]] [-n [<.ndx>]] [-s [<.tpr>]]
             [-o [<.xvg>]] [-oc [<.xvg>]] [-of [<.xvg>]] [-b <time>]
             [-e <time>] [-dt <time>] [-[no]w] [-xvg <enum>]
             [-d <string>] [-sl <int>] [-cb <int>] [-ce <int>]
             [-tz <real>] [-[no]spherical] [-ng <int>] [-[no]correct]

DESCRIPTION

gmx potential computes the electrostatical potential across the box. The potential is calculated by first summing the charges per slice and then integrating twice of this charge distribution. Periodic boundaries are not taken into account. Reference of potential is taken to be the left side of the box. It is also possible to calculate the potential in spherical coordinates as function of r by calculating a charge distribution in spherical slices and twice integrating them. epsilon_r is taken as 1, but 2 is more appropriate in many cases.

OPTIONS

Options to specify input files:

-f [<.xtc/.trr/…>] (traj.xtc)
    Trajectory: xtc trr cpt gro g96 pdb tng

-n [<.ndx>] (index.ndx)
    Index file

-s [<.tpr>] (topol.tpr)
    Portable xdr run input file

    Options to specify output files:

-o [<.xvg>] (potential.xvg)
    xvgr/xmgr file

-oc [<.xvg>] (charge.xvg)
    xvgr/xmgr file

-of [<.xvg>] (field.xvg)
    xvgr/xmgr file

    Other options:

-b <time> (0)
    Time of first frame to read from trajectory (default unit ps)

-e <time> (0)
    Time of last frame to read from trajectory (default unit ps)

-dt <time> (0)
    Only use frame when t MOD dt = first time (default unit ps)

-[no]w (no)
    View output .xvg, .xpm, .eps and .pdb files

-xvg <enum> (xmgrace)
    xvg plot formatting: xmgrace, xmgr, none

-d <string> (Z)
    Take the normal on the membrane in direction X, Y or Z.

-sl <int> (10)
    Calculate potential as function of boxlength, dividing the box in this number of slices.

-cb <int> (0)
    Discard this number of first slices of box for integration

-ce <int> (0)
    Discard this number of last slices of box for integration

-tz <real> (0)
    Translate all coordinates by this distance in the direction of the box

-[no]spherical (no)
    Calculate in spherical coordinates

-ng <int> (1)
    Number of groups to consider

-[no]correct (no)
    Assume net zero charge of groups to improve accuracy

KNOWN ISSUES

•   Discarding slices for integration should not be necessary.

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2021, GROMACS development team